Bug 76466 - mkinitrd too strict when parsing /etc/raidtab
mkinitrd too strict when parsing /etc/raidtab
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-10-22 00:03 EDT by Ian Pilcher
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-22 00:03:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2002-10-22 00:03:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021020

Description of problem:
mkinitrd parses /etc/raidtab to determine whether it need to include RAID
support.  The current version only works, however, if there is a tab before the
"raid-level" keyword.  If there are only four spaces, for example, mkinitrd will
not include RAID support.  This can easily lead to an unbootable system --
particularly because Red Hat 7.3 was more forgiving in this regard.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Install Red Hat Linux 8.0 onto a RAID-1 root partition.
2.  Modify /etc/raidtab, replacing tabs with spaces.
3.  Run mkinitrd (or upgrade kernel RPMS).  The system will not be able to boot
with the new initrd image.

Actual Results:  RAID support not included in resulting initrd image.

Expected Results:  mkinitrd should have detected that root partition was on a
RAID-1 device and included support.

Additional info:

Putting this as high severity, since it can lead to unbootable systems
(probably also because it took me about 8 hours to figure out what was going on).
Comment 1 Erik Troan 2002-11-05 16:50:37 EST
fixed in 3.4.30 -- not going to errata this unless there are more reports.
Comment 2 Zing 2002-11-15 13:43:49 EST
Just reporting that I just hit this buglet.  I see this could trip up people,
but i don't really mind if an errata is done or not.
Comment 3 Stephen Tweedie 2002-11-29 09:35:59 EST
It just hit me too, if you're still counting reports.

Note You need to log in before you can comment on or make changes to this bug.